hostname {{dictitem.hostname}}
interface Vlan1
 ip address {{dictitem.IP}} {{dictitem.mask}}


no service pad
service timestamps debug datetime msec
service timestamps log datetime msec
service password-encryption
!

!
!
enable secret 0 {{dictitem.secret}}
!
username cisco privilege 15 secret 0 {{dictitem.secret}}
aaa new-model
!
!
aaa authentication enable default enable
aaa authorization exec default local 
aaa authentication login console local

ip domain-name {{dictitem.domain}}
vtp domain {{dictitem.vtpdomain}}
vtp password {{dictitem.vtppass}}
vtp mode transparent
!

!

!
spanning-tree mode rapid-pvst
spanning-tree extend system-id
spanning-tree vlan 1,100 priority 61440

vlan {{dictitem.voipVLAN}}
 name {{dictitem.voipVLANName}}
!

interface range GigabitEthernet1/0/1-24
 description {{dictitem.accessDescription}}
 switchport mode access
 switchport voice vlan 100
 auto qos voip cisco-phone 
 spanning-tree portfast edge
 spanning-tree bpduguard enable

!
interface range GigabitEthernet1/0/25-28
 description {{dictitem.trunkDescription}}
 switchport mode trunk
 srr-queue bandwidth share 1 30 35 5
 priority-queue out 
 mls qos trust cos
 auto qos trust 
!


!
ip default-gateway {{dictitem.DG}}
ip forward-protocol nd
no ip http server
no ip http secure-server
!

ip ssh version 2

!
!
line con 0
 exec-timeout 5 0
 login authentication console
line vty 0 4
 transport input ssh
 exec-timeout 5 0
line vty 5 15
 transport input ssh
 exec-timeout 5 0

!
ntp server {{dictitem.NTPIP}}
end